%define module_name Dancer2-Plugin-SyntaxHighlight-Perl
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Dancer2.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(HTTP/Request/Common.pm) perl(PPI/HTML.pm) perl(Path/Tiny.pm) perl(Plack/Test.pm) perl(Test/More.pm) perl(Test/Pod/Coverage.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.0009
Release: alt1
Summary: Generate pretty HTML from Perl code in a Dancer2 app
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/T/TO/TONKIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides on-the-fly conversion of Perl to syntax-highlighted HTML. For convenience it adds the keywords `highlight_perl' and `highlight_output' to the Dancer2 DSL.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE examples
%perl_vendor_privlib/D*

%changelog
* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.0009-alt1
- regenerated from template by package builder

* Thu Nov 16 2017 Igor Vlasenko <viy@altlinux.ru> 0.0008-alt1
- initial import by package builder

